Bug 1472872

Summary: SELinux prevents gnome-boxes from working
Product: [Fedora] Fedora Reporter: dimiter.velichkov
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: dominick.grift, dwalsh, lvrabec, mgrepl, plautrba, pmoore, ssekidde
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 08:07:52 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description dimiter.velichkov 2017-07-19 10:58:49 EDT
Description of problem:

gnome-boxes basically doesn't work with SELinux enabled

Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1. Attempt to suspend/resume stop/start a box
2.
3.

Actual results:

SELinux policy errors in system log, attempted operation doesn't work

Expected results:


Additional info:

from syslog:

SELinux is preventing qemu-system-x86 from search access on the directory 2589. For complete SELinux messages run: sealert -l b3130efb-7a3b-47ce-b64f-1fb04e7da688

SELinux is preventing qemu-system-x86 from read access on the file cmdline. For complete SELinux messages run: sealert -l 2e5d72d8-4932-4f16-8e12-f284d8dec177


sudo sealert -l b1cd6111-a899-4c97-a588-85b292f82709
SELinux is preventing qemu-system-x86 from search access on the directory 2589.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that qemu-system-x86 should be allowed search access on the 2589 directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
# semodule -X 300 -i my-qemusystemx86.pp


Additional Information:
Source Context                unconfined_u:unconfined_r:svirt_t:s0:c284,c734
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                2589 [ dir ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Unknown>
Host                          pompeii
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.1.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     pompeii
Platform                      Linux pompeii 4.11.10-300.fc26.x86_64 #1 SMP Wed
                              Jul 12 17:05:39 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-19 08:48:46 MDT
Last Seen                     2017-07-19 08:48:46 MDT
Local ID                      b1cd6111-a899-4c97-a588-85b292f82709

Raw Audit Messages
type=AVC msg=audit(1500475726.328:330): avc:  denied  { search } for  pid=7355 comm="qemu-system-x86" name="2589" dev="proc" ino=41392 scontext=unconfined_u:unconfined_r:svirt_t:s0:c284,c734 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir permissive=0


Hash: qemu-system-x86,svirt_t,unconfined_t,dir,search
Comment 1 Fedora End Of Life 2018-05-03 04:43:21 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 08:07:52 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.